commit: 3bddbb1780285843ba1e891ee8e2dbb5fe086032
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 12 15:52:50 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Nov 12 15:52:50 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3bddbb17
dev-python/pyte: Bump to 0.8.2
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pyte/Manifest | 1 +
dev-python/pyte/pyte-0.8.2.ebuild | 35 +++++++++++++++++++++++++++++++++++
2 files changed, 36 insertions(+)
diff --git a/dev-python/pyte/Manifest b/dev-python/pyte/Manifest
index 65d87f2c846d..06ddeeacd532 100644
--- a/dev-python/pyte/Manifest
+++ b/dev-python/pyte/Manifest
@@ -1 +1,2 @@
DIST pyte-0.8.1.gh.tar.gz 92220 BLAKE2B
f4f803ecbf9bc62936ea499929b7fb976c14ee09fe00ee56d5499bb2543a6ac769dd7c87e177c297bbf8ab082c34f154a26daf3a1c84917249400b09556c2b80
SHA512
f49d9394cca92c27fdd5319bdce164d5cac63b77d13156de7105bee6087a615e844fafa8507089c8bf6cf31a796cc858a3ccf597aa23cfa595d0d9e0adfab5d4
+DIST pyte-0.8.2.gh.tar.gz 94352 BLAKE2B
70b8e580b0fffee7c61dcf1b0538751584a405d2c46db6cedb3d6fe1b13a00a7b4c84495e49b0facb2644a22c4021ce6f1a4c91bb8016198e2c779ae0437157b
SHA512
6b70f16062a6099fe9ef6f6bb789c18ffe7c0003c48877fd32b68a6cb8fd911e8688118663e7a1af60c5c3e04a55504a40953d2e5814376872ce1afcc64e0bb8
diff --git a/dev-python/pyte/pyte-0.8.2.ebuild
b/dev-python/pyte/pyte-0.8.2.ebuild
new file mode 100644
index 000000000000..73d0dbf74b23
--- /dev/null
+++ b/dev-python/pyte/pyte-0.8.2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Simple VTXXX-compatible terminal emulator"
+HOMEPAGE="
+ https://pypi.org/project/pyte/
+ https://github.com/selectel/pyte/
+"
+SRC_URI="
+ https://github.com/selectel/pyte/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+SLOT="0"
+LICENSE="LGPL-3"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/wcwidth[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # run pytest directly for tests
+ sed -i '/setup_requires/d' setup.py || die
+ distutils-r1_python_prepare_all
+}